Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface AppresourcesFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface AppresourcesFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `AppresourcesPackage`

Field Summary
`static AppresourcesFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`FileSystemConnector` | `createFileSystemConnector()` Returns a new object of class 'File System Connector'
`JDBCDataSourceConnector` | `createJDBCDataSourceConnector()` Returns a new object of class 'JDBC Data Source Connector'
`LdapJndiConnector` | `createLdapJndiConnector()` Returns a new object of class 'Ldap Jndi Connector'
`PDPAServiceConnector` | `createPDPAServiceConnector()` Returns a new object of class 'PDPA Service Connector'
`RCAnnotation` | `createRCAnnotation()` Returns a new object of class 'RC Annotation'
`RCAnnotationDetail` | `createRCAnnotationDetail()` Returns a new object of class 'RC Annotation Detail'
`ResourceSet` | `createResourceSet()` Returns a new object of class 'Resource Set'
`RPCWebServiceConnector` | `createRPCWebServiceConnector()` Returns a new object of class 'RPC Web Service Connector'
`ServiceSelector` | `createServiceSelector()` Returns a new object of class 'Service Selector'
`AppresourcesPackage` | `getAppresourcesPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final AppresourcesFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createPDPAServiceConnector

    PDPAServiceConnector createPDPAServiceConnector()

  Returns a new object of class 'PDPA Service Connector'.

  Returns:
    a new object of class 'PDPA Service Connector'.

### createFileSystemConnector

    FileSystemConnector createFileSystemConnector()

  Returns a new object of class 'File System Connector'.

  Returns:
    a new object of class 'File System Connector'.

### createJDBCDataSourceConnector

    JDBCDataSourceConnector createJDBCDataSourceConnector()

  Returns a new object of class 'JDBC Data Source Connector'.

  Returns:
    a new object of class 'JDBC Data Source Connector'.

### createLdapJndiConnector

    LdapJndiConnector createLdapJndiConnector()

  Returns a new object of class 'Ldap Jndi Connector'.

  Returns:
    a new object of class 'Ldap Jndi Connector'.

### createRPCWebServiceConnector

    RPCWebServiceConnector createRPCWebServiceConnector()

  Returns a new object of class 'RPC Web Service Connector'.

  Returns:
    a new object of class 'RPC Web Service Connector'.

### createServiceSelector

    ServiceSelector createServiceSelector()

  Returns a new object of class 'Service Selector'.

  Returns:
    a new object of class 'Service Selector'.

### createResourceSet

    ResourceSet createResourceSet()

  Returns a new object of class 'Resource Set'.

  Returns:
    a new object of class 'Resource Set'.

### createRCAnnotation

    RCAnnotation createRCAnnotation()

  Returns a new object of class 'RC Annotation'.

  Returns:
    a new object of class 'RC Annotation'.

### createRCAnnotationDetail

    RCAnnotationDetail createRCAnnotationDetail()

  Returns a new object of class 'RC Annotation Detail'.

  Returns:
    a new object of class 'RC Annotation Detail'.

### getAppresourcesPackage

    AppresourcesPackage getAppresourcesPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD